McElieceKeyPairGeneratorSpi.McElieceCCA2 (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.pqc.jcajce.provider.mceliece

## Class McElieceKeyPairGeneratorSpi.McElieceCCA2

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator
    - - org.bouncycastle.pqc.jcajce.provider.mceliece.McElieceKeyPairGeneratorSpi
      - - org.bouncycastle.pqc.jcajce.provider.mceliece.McElieceKeyPairGeneratorSpi.McElieceCCA2

- Enclosing class:
    McElieceKeyPairGeneratorSpi

      public static class McElieceKeyPairGeneratorSpi.McElieceCCA2
      extends McElieceKeyPairGeneratorSpi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.pqc.jcajce.provider.mceliece.McElieceKeyPairGeneratorSpi

      `McElieceKeyPairGeneratorSpi.McEliece, McElieceKeyPairGeneratorSpi.McElieceCCA2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceKeyPairGeneratorSpi.McElieceCCA2()`
    `McElieceKeyPairGeneratorSpi.McElieceCCA2(java.lang.String s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.KeyPair` | `generateKeyPair()`
    `void` | `initialize(java.security.spec.AlgorithmParameterSpec params)`
    `void` | `initialize(int keySize, java.security.SecureRandom random)`

    - ### Methods inherited from class java.security.KeyPairGenerator

      `genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McElieceKeyPairGeneratorSpi.McElieceCCA2

          public McElieceKeyPairGeneratorSpi.McElieceCCA2()

    - #### McElieceKeyPairGeneratorSpi.McElieceCCA2

          public McElieceKeyPairGeneratorSpi.McElieceCCA2(java.lang.String s)

  - ### Method Detail

    - #### initialize

          public void initialize(java.security.spec.AlgorithmParameterSpec params)
                          throws java.security.InvalidAlgorithmParameterException

      Overrides:
        `initialize` in class `java.security.KeyPairGenerator`
      Throws:
        `java.security.InvalidAlgorithmParameterException`

    - #### initialize

          public void initialize(int keySize,
                        java.security.SecureRandom random)

      Overrides:
        `initialize` in class `java.security.KeyPairGenerator`

    - #### generateKeyPair

          public java.security.KeyPair generateKeyPair()

      Overrides:
        `generateKeyPair` in class `java.security.KeyPairGenerator`